<?php
$all = Core::count("SELECT COUNT(*) FROM `user_sites`");
if($all > 0){
	$Navig = new Navig($all);
	$start = $Navig -> start;
	$pages = 10;
if(isset($_GET['p']) && $_GET['p']!=0){	
$num = $_GET['p']*$pages-($pages-1);
}else{
$num = 1 ;
}
	
	$q = Core::query("SELECT * FROM `user_sites` ORDER BY `host` DESC LIMIT $start, $pages");
	while($post = $q -> fetch()){
		echo '<div class="navig">
			'.$num.') <a href="/stat/index/'.$post['id'].'">'.Protect::text($post['title']).'</a><br />
			Ссылка: <a href='.Protect::title($post['url']).'>'.Protect::text($post['url']).'</a><br />
			'.($post['mod'] == 1 ? 'Статус: <font color="red">На модерации</font>' : 'Хосты: '.$post['host'].' | Хиты: '.$post['hit']).'<br />
			'.($post['ban'] == 1 ? 'Статус: <font color="red">Заблокировано</font><br />' : NULL).'
			Описание: '.Protect::text(Protect::rez_text($post['opis'], 100)).'<br />
			'.($post['ban'] == 0 ? '<a href="/admin/ban_area/'.$post['id'].'">Бан</a>' : '<a href="/admin/razban_area/'.$post['id'].'">Разбан</a>').' | 
			'.($post['mod'] == 1 ? '<a href="/admin/mod_area/'.$post['id'].'">Мод</a> |' : NULL).'
			<a href="/admin/edit_area/'.$post['id'].'">Ред</a> | 
			<a href="/admin/del_area/'.$post['id'].'">Удл</a>
		</div>';
		$num = ++$num;
	}
	$Navig -> str('?');
}else{
	echo '<div class="navig">Площадок не найдено</div>';
}
?>